org.eclipse.actf.util.win32

## Class HighlightComposite

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.actf.util.win32.HighlightComposite

All Implemented Interfaces:
  IIntervalExec, org.eclipse.swt.graphics.Drawable

    public class HighlightComposite
    extends org.eclipse.swt.widgets.Composite
    implements IIntervalExec

HighlightComposite is used to highlight an object. The composite is used in `OverlayWindow`.

### Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Method Summary

Methods
`int` `exec()`
`static void` `flashRectangle(org.eclipse.swt.graphics.Rectangle rect)` Flash rectangle
`static void` `initOverlayWindow()` Initialize default overlay window.
`static void` `show(boolean show)` Set the flag to determine whether the object for highlight is shown or not.
`static int` `updateSuppressCount(int increment)` This method is used to synchronize the view updating.

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, computeSize, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### exec

    public int exec()

Specified by:
  `exec` in interface `IIntervalExec`
Returns:
  the next interval time in milliseconds.

#### flashRectangle

    public static void flashRectangle(org.eclipse.swt.graphics.Rectangle rect)

Flash rectangle

Parameters:
  `rect` - the position to be highlighted.

#### updateSuppressCount

    public static int updateSuppressCount(int increment)

This method is used to synchronize the view updating.

Parameters:
  `increment` - the increment(+) / decrement(-) width.
Returns:
  the current suppress count.

#### show

    public static void show(boolean show)

Set the flag to determine whether the object for highlight is shown or not.

Parameters:
  `show` - true to show highlight object.

#### initOverlayWindow

    public static void initOverlayWindow()

Initialize default overlay window.